Please merge pidgin 2.6.1-2 (main) from Debian unstable (main)

Bug #415908 reported by Hew on 2009-08-19
26
This bug affects 2 people
Affects Status Importance Assigned to Milestone
pidgin (Debian)
Fix Released
Undecided
Unassigned
pidgin (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: pidgin

Pidgin 2.6.1 is a major release over 2.5.8 currently in Ubuntu.

Changelog: http://developer.pidgin.im/wiki/ChangeLog
Source: http://sourceforge.net/projects/pidgin/files/Pidgin/pidgin-2.6.1.tar.bz2

Hew (hew) on 2009-08-19
Changed in pidgin (Ubuntu):
importance: Undecided → Wishlist
Micah Gersten (micahg) wrote :

This was already open upstream with Debian. So the Ubuntu Pidgin Developers can decide what to do with it now.

Changed in pidgin (Ubuntu):
status: New → Triaged
Changed in pidgin (Debian):
status: Unknown → Fix Committed
Felix Geyer (debfx) wrote :

Proposed package upload:

pidgin (1:2.6.1-1ubuntu1) karmic; urgency=low

  * Merge with Debian unstable, remaining changes:
    + debian/prefs.xml: Update to set the notify plugin prefs
      /plugins/gtk/X11/notify/*, set /pidgin/plugins/loaded to load
      the notify plugin and enable the standard logging options by default
    + 02_lpi.patch for LP integration. Add liblaunchpad-integration-dev to
      build-deps for this
    + 04_let_crasher_for_apport.patch to stop catching the SIGSEGV signal
      and let apport handle it
    + 05_default_to_irc_ubuntu_com.patch to set the default IRC
      server to irc.ubuntu.com
    + 10_docklet_default_off.patch for default behavior to have no
      notification area icon.
    + 11_buddy_list_really_show.patch to make it so that the buddy
      list tries harder to appear. This fixes some issues with it
      not appearing.
    + 13_sounds_and_timers.patch which adjusts the time out for sounds
      to be 15 seconds, which helps get fewer spurious login
      notifications on slow connections. Also, switches a few long
      term timers to _add_seconds to get a little bit of power savings.
    + 60_1024x600_gtk*.c.patch: Add scrolled bars into account dialog,
    + 73_upstream_change_fix_high_dpi_status_msg.patch: upstream change to
      stop the clipping of the infopane text when using high DPI
      pounce windows and preference window when screen height is less than 600.
    + debian/libpurple0.symbols: Add libgdl & epochs
    + debian/control: Remove libpurple0 from deps of libpurple-bin
  * Refresh 13_sounds_and_timers.patch: partly applied upstream
  * Update 60_1024x600_gtkprefs.c.patch: add scrollbars to additional tabs
  * Drop 60_1024x600_gtkaccount.c.patch, 99_autoreconf.patch:
    not needed anymore
  * Drop 73_upstream_change_fix_high_dpi_status_msg.patch: applied upstream
  * Update debian/libpurple0.symbols

Felix Geyer (debfx) on 2009-08-24
summary: - Please upgrade to pidgin 2.6.1
+ Please merge pidgin 2.6.1-1 (main) from Debian experimental (main)

My last version incorrectly installed the translation files.
So here is the updated version and diff to previous:

diff -Nur 261u/debian/pidgin-data.install pidgin-2.6.1/debian/pidgin-data.install
--- 261u/debian/pidgin-data.install 2009-08-23 16:10:10.000000000 +0200
+++ pidgin-2.6.1/debian/pidgin-data.install 2009-08-25 11:01:17.000000000 +0200
@@ -1,5 +1,4 @@
 debian/tmp/usr/share/icons
-debian/tmp/usr/share/locale
 debian/tmp/usr/share/pixmaps
 debian/tmp/usr/share/sounds
 debian/pidgin-menu.xpm usr/share/pixmaps

Sebastien Bacher (seb128) wrote :

why don't you install translations files now?

Felix Geyer (debfx) wrote :

The translations are handled by Launchpad / language-pack-*-base packages.

Arie Skliarouk (skliarie) wrote :

FYI:
Since I upgraded pidgin from http://ppa.launchpad.net/pidgin-developers/ppa/ubuntu, pidgin-encryption plugin (as shipped in jaunty) stopped working (the sending side is stuck in "(05:11:41 PM) Requesting key..." state).

Felix Geyer (debfx) wrote :

If Pidgin 2.6 doesn't make it into Karmic, we should at least upgrade to 2.5.9

Sebastien Bacher (seb128) wrote :

> The translations are handled by Launchpad / language-pack-*-base packages.

Right because the installed translations are moved on the buildds if you stop installing those they will not go in the language packs either

Sebastien Bacher (seb128) wrote :

The karmic feature freeze is also in action so the upgrade need an exception

Sebastien Bacher (seb128) wrote :

updating the version is fine, I've looked to the change out of the locale issue you added hundred of lines to the symbols file is there any reason for that change?

Sebastien Bacher (seb128) wrote :

the build also breaks on "cc: %FULL_NSS_CFLAGS%: no such file or directory" and ssl-nss.c build errors

Sebastien Bacher (seb128) wrote :

the build issue is a xulrunner one

Sebastien Bacher (seb128) wrote :

to be clear the xulrunner issue only happens on local install and would not be an issue on buildd

Felix Geyer (debfx) wrote :

>> The translations are handled by Launchpad / language-pack-*-base packages.
>
> Right because the installed translations are moved on the buildds if you stop installing those
> they will not go in the language packs either

Yeah you're right, ignore the last .diff.gz

> you added hundred of lines to the symbols file is there any reason for that change?

I updated the symbols file using dpkg-gensymbols, so these are new symbols introduced in Pidgin 2.6

Sebastien Bacher (seb128) wrote :

> I updated the symbols file using dpkg-gensymbols, so these are new symbols introduced in Pidgin 2.6

but debian already has 2.6 there is no symbols changes over it in ubuntu we just need to add the epoch to the versions, you added g_ glib symbols to the libpurple list there, could you fix that?

Felix Geyer (debfx) wrote :

Removed libgnt symbols, merge with 2.6.1-2 (no Debian changes) and dropped all Ubuntu-specific conflicts/replaces (version before hardy):

pidgin (1:2.6.1-2ubuntu1) karmic; urgency=low

  * Merge with Debian unstable (LP: #415908), remaining changes:
    + debian/prefs.xml: Update to set the notify plugin prefs
      /plugins/gtk/X11/notify/*, set /pidgin/plugins/loaded to load
      the notify plugin and enable the standard logging options by default
    + 02_lpi.patch for LP integration. Add liblaunchpad-integration-dev to
      build-deps for this
    + 04_let_crasher_for_apport.patch to stop catching the SIGSEGV signal
      and let apport handle it
    + 05_default_to_irc_ubuntu_com.patch to set the default IRC
      server to irc.ubuntu.com
    + 10_docklet_default_off.patch for default behavior to have no
      notification area icon.
    + 11_buddy_list_really_show.patch to make it so that the buddy
      list tries harder to appear. This fixes some issues with it
      not appearing.
    + 13_sounds_and_timers.patch which adjusts the time out for sounds
      to be 15 seconds, which helps get fewer spurious login
      notifications on slow connections.
    + 60_1024x600_gtk*.c.patch: Add scrollbars into preferences and
      pounce dialogs
    + debian/libpurple0.symbols: Add epochs
    + Drop libpurple0 dependency from libpurple-bin
    + Drop pidgin-data dependency from libpurple0
  * Refresh 13_sounds_and_timers.patch: partly applied upstream
  * Update 60_1024x600_gtkprefs.c.patch: add scrollbars to additional tabs
  * Drop 60_1024x600_gtkaccount.c.patch, 99_autoreconf.patch:
    not needed anymore
  * Drop 73_upstream_change_fix_high_dpi_status_msg.patch: applied upstream
  * Remove libgnt symbols from debian/libpurple0.symbols

summary: - Please merge pidgin 2.6.1-1 (main) from Debian experimental (main)
+ Please merge pidgin 2.6.1-2 (main) from Debian unstable (main)
Sebastien Bacher (seb128) wrote :

Thank you for your work there, I will upload after the freeze in action for alpha images

Changed in pidgin (Ubuntu):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pidgin - 1:2.6.1-2ubuntu1

---------------
pidgin (1:2.6.1-2ubuntu1) karmic; urgency=low

  * Merge with Debian unstable (LP: #415908), remaining changes:
    + debian/prefs.xml: Update to set the notify plugin prefs
      /plugins/gtk/X11/notify/*, set /pidgin/plugins/loaded to load
      the notify plugin and enable the standard logging options by default
    + 02_lpi.patch for LP integration. Add liblaunchpad-integration-dev to
      build-deps for this
    + 04_let_crasher_for_apport.patch to stop catching the SIGSEGV signal
      and let apport handle it
    + 05_default_to_irc_ubuntu_com.patch to set the default IRC
      server to irc.ubuntu.com
    + 10_docklet_default_off.patch for default behavior to have no
      notification area icon.
    + 11_buddy_list_really_show.patch to make it so that the buddy
      list tries harder to appear. This fixes some issues with it
      not appearing.
    + 13_sounds_and_timers.patch which adjusts the time out for sounds
      to be 15 seconds, which helps get fewer spurious login
      notifications on slow connections.
    + 60_1024x600_gtk*.c.patch: Add scrollbars into preferences and
      pounce dialogs
    + debian/libpurple0.symbols: Add epochs
    + Drop libpurple0 dependency from libpurple-bin
    + Drop pidgin-data dependency from libpurple0
  * Refresh 13_sounds_and_timers.patch: partly applied upstream
  * Update 60_1024x600_gtkprefs.c.patch: add scrollbars to additional tabs
  * Drop 60_1024x600_gtkaccount.c.patch, 99_autoreconf.patch:
    not needed anymore
  * Drop 73_upstream_change_fix_high_dpi_status_msg.patch: applied upstream
  * Remove libgnt symbols from debian/libpurple0.symbols

 -- Felix Geyer <email address hidden> Wed, 02 Sep 2009 13:42:04 +0200

Changed in pidgin (Ubuntu):
status: Fix Committed → Fix Released
Artur Rona (ari-tczew) wrote :

 pidgin (2.6.1-1) experimental; urgency=low

   * Put into experimental so we don't disturb 2.5.9's migration into testing
   * New upstream release (Closes: #542311)
     - Fixes hurd FTBFS (Closes: #530893)
     - Supports auto-join in XMPP (Closes: #462250)
     - Fixes some problems with international characters (Closes: #469829)
     - purple-* commandline utilities now pass return value from dbus-send
       (Closes: #504314)
     - Fixes lots of problems with XMPP new mail notifications (Closes: #505760)
     - Fixes crash when adding/removing MSN buddy (Closes: #531201)
     - Contact availability plugin ignores autoreplies (Closes: #459667)
     - Fixes some people not showing up when offline (Closes: #533314)
   * Use tcl-dev/tk-dev
   * Add Network Manager support back in since there's a -f commandline option
     to override it if it fails horribly (Closes: #534698)
   * Drop upstream README since it doesn't contain any useful information
     for end users

 -- Ari Pollak <email address hidden> Thu, 20 Aug 2009 20:12:54 -0400

Changed in pidgin (Debian):
importance: Unknown → Undecided
status: Fix Committed → New
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.